Get API key
curl --request GET \
--url https://api.veryfront.com/api-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/api-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"last_used_at": "<string>",
"expires_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status": "active",
"revoked_at": "<string>",
"scopes": [
"<string>"
],
"scope": "account",
"budget": {
"monthly_limit_usd": 123,
"monthly_limit_credits": 123
},
"budget_status": {
"used": 123,
"remaining": 123,
"resets_at": "<string>"
}
}Get API key
Returns an API key by ID.
GET
/
api-keys
/
{id}
Get API key
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Response
API key details
Available options:
active, expired, revoked Whether the key is restricted to one project or applies to the account. An account-wide key acts with its owner’s project roles, limited by the key’s scopes. Unlike project-scoped keys, it can inherit the owner’s administrative authority: write can allow API key creation, and delete can allow project deletion.
Available options:
account, project The subject’s monthly AI budget, or null if no budget is configured. Read-only; use /budgets to manage budgets.
Show child attributes
Show child attributes
Usage against the budget for the current month, or null if the subject has no budget.
Show child attributes
Show child attributes